﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Default.master" CodeFile="CreateDatabase.aspx.cs" Inherits="CreateDatabase" Title="<%$Resources:web.sitemap, CreateDatabase.Title %>" %>
<%@ Register TagPrefix="Toolbar" TagName="HelpLogout" Src="~/Toolbars/HelpLogoutToolbar.ascx" %>
<%@ Register TagPrefix="Location" TagName="Server" Src="~/Toolbars/ServerLocation.ascx" %>
<asp:Content runat="server" ContentPlaceHolderID="breadcrumb">
    <Location:Server Runat="Server" id="ServerLocation" IsActive="true"></Location:Server>
</asp:Content>
<asp:Content runat="server" ContentPlaceHolderID="NavigationPane">
</asp:Content>
<asp:Content runat="server" ContentPlaceHolderID="ContentPane">
    <div class="RightCenterWell">
        <table width="100%" border="0">
            <tr>
                <td valign="top" align="right" width="1">
                    <asp:Image ID="icon_databases_32" SkinID="icon_databases_32" runat="Server" />
                </td>
                <td align="left">
                    <span class="header3">
                    <asp:Literal ID="CreateDatabaseLiteral" Text="<%$Resources: LocalizedText,CreateDatabaseHeader %>" runat=Server />
                   </span>
                    <hr />
                    <p>
                     <asp:Literal ID="CreateDatabaseInstructionsLiteral" Text="<%$Resources: LocalizedText,CreateDatabaseInstructions %>" runat=Server />
                   <br />
                    <br />
							<asp:TextBox id="txtDatabaseName" runat="server" Columns="30"></asp:TextBox>&nbsp;
							<asp:Button id="cmdCreate" runat="server" OnClick="cmdCreate_Click" CSSClass="button" onMouseOver="this.style.color='#cc0033';" onMouseOut="this.style.color='#000000';" Text="Create"></asp:Button>
							<br>
							<br>
							<asp:RequiredFieldValidator Runat="server" ID="rfvDatabaseName" ControlToValidate="txtDatabaseName" Display="Dynamic" ErrorMessage="The database name cannot be empty."></asp:RequiredFieldValidator>
							<asp:Label id="lblError" runat="server" Visible="False" ForeColor="red"></asp:Label>
	           </td>
            </tr>
        </table>
    </div>
    
</asp:Content>