﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Default.master" CodeFile="QueryDatabase.aspx.cs" Inherits="QueryDatabase" Title="<%$Resources:web.sitemap, QueryDatabase.Title %>"%>
<%@ Register TagPrefix="Toolbar" TagName="HelpLogout" Src="~/Toolbars/HelpLogoutToolbar.ascx" %>
<%@ Register TagPrefix="Location" TagName="Server" Src="~/Toolbars/ServerLocation.ascx" %>
<%@ Register TagPrefix="Location" TagName="Database" Src="~/Toolbars/DatabaseLocation.ascx" %>
<asp:Content runat="server" ContentPlaceHolderID="breadcrumb">
	<Location:Server Runat="Server" id="ServerLocation"></Location:Server>
	<Location:Database Runat="Server" id="DatabaseLocation" IsActive="true"></Location:Database>
</asp:Content>
<asp:Content runat="server" ContentPlaceHolderID="NavigationPane">
</asp:Content>
<asp:Content runat="server" ContentPlaceHolderID="ContentPane">
    <div class="RightCenterWell">
        <table width="100%">
            <tr>
                <td valign="top">
                    <asp:Image ID="icon_query_32" SkinID="icon_query_32" runat="Server" />
                </td>
                <td>
                    <span class="header3"><asp:Literal ID="Literal3" Text="<%$Resources:LocalizedText,QueryDatabase_Header %>" runat="server" /><%= Request.QueryString["database"] %>: Tables</span>
                    <hr />	<asp:Label id="lblError" runat="server" Visible="False" ForeColor="red"></asp:Label>
                    <asp:TextBox Runat="server" TextMode="MultiLine" Columns="110" Rows="15" ID="txtQuery" ></asp:TextBox><br />
                    <asp:CheckBox Runat="server" ID="chkWrapText" CssClass="normalText" Checked="True" Text="<%$Resources:LocalizedText,QueryDatabase_WrapText %>"></asp:CheckBox>
                    <table width="100%">
                        <tr>
						    <td class="databaseListItem" align="left">
							    <asp:Button Runat="server" Text="<%$Resources:LocalizedText,QueryDatabase_Execute %>" CSSClass="button" OnClick="cmdExecute_Click" onMouseOver="this.style.color='#cc0033';" onMouseOut="this.style.color='#000000';" ID="cmdExecute"></asp:Button>
							    <asp:Button Runat="server" Text="<%$Resources:LocalizedText,QueryDatabase_SaveQuery %>" CSSClass="button" OnClick="cmdSave_Click" onMouseOver="this.style.color='#cc0033';" onMouseOut="this.style.color='#000000';" ID="cmdSave"></asp:Button>
						    </td>                        
                        </tr>
                    </table>
                    <br />
                    <hr />
                    <div class="normalText"><asp:Literal ID="Literal1" Text="<%$Resources:LocalizedText,QueryDatabase_LoadQuery %>" runat="server" /></div>
					<input id="hifFileUpload" type="file" runat="server" size="83"><br />
					<asp:Button Runat="server" Text="<%$Resources:LocalizedText,QueryDatabase_LoadQueryButton %>" OnClick="cmdLoad_Click" CSSClass="button" onMouseOver="this.style.color='#cc0033';" onMouseOut="this.style.color='#000000';" ID="cmdLoad"></asp:Button>
				
					<br />
					<br />
					<hr />
					<div class="header4"><asp:Literal ID="Literal2" Text="<%$Resources:LocalizedText,QueryDatabase_Results %>" runat="server" /></div>
					<asp:Panel Runat="server" ID="panResults"></asp:Panel>

                </td>
            </tr>
        </table>
    </div>
</asp:Content>

