<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ServerProperties.ascx.cs" Inherits="ServerProperties" %>
<script type="text/javascript">

var isServerCollapsed = readCookie('<%= Request.Path %>_server_collapse');

function createCookie(name,value,days)
{
	if (days)
	{
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
}

function readCookie(name)
{
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++)
	{
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}

function eraseCookie(name)
{
	createCookie(name,"",-1);
}

function SetState(imageId, elementId, collapsed)
{
    var imageObj = document.getElementById(imageId);
    var contentDiv = document.getElementById(elementId);

    if (!collapsed)
    {
        contentDiv.style.display = 'block';
        imageObj.src = '<%= ResolveUrl(collapseButtonImageUrl) %>';
    }
    else
    {
        contentDiv.style.display = 'none';
        imageObj.src = '<%= ResolveUrl(expandButtonImageUrl) %>';
    }

}

function FlipState(imageId, elementId, cookieName)
{
    isServerCollapsed  = !isServerCollapsed ;
    
    SetState(imageId, elementId, isServerCollapsed );

    createCookie(cookieName, isServerCollapsed );
    
}





</script>
<div class="collapsingboxcontainer" style="margin-top: 25px">
    <div class="boxheader">
        <div class="btncontainer">
            <img id="Img1" name="serverboxchevron" src="~/App_Themes/default/images/icons/16/chevron_drk_up_16.gif" runat="server" onclick="javascript: FlipState('serverboxchevron', 'serverboxcontent', '<%= Request.PhysicalPath %>_server_collapse');" />
        </div>
        <asp:Literal ID="TitleLiteral" runat="server" />
    </div>
    <div id="serverboxcontent" class="serverboxcontent">
        <asp:PlaceHolder ID="BoxContent" runat="server" />
        <br />
        <asp:LoginStatus runat=server />
      
       <br />
       <asp:HyperLink NavigateUrl="~/Credentials.aspx" runat=server>Change Credentials</asp:HyperLink>
        <br />
    </div>
</div>