using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class DatabaseLocation : System.Web.UI.UserControl
{
    private bool _isActive = false;

    public bool IsActive
    {
        get
        {
            return _isActive; 
        }
        set
        {
            _isActive = value;
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        string databaseName = Request.QueryString["database"];

        if (_isActive)
        {
            hypDatabaseName.CssClass = "activeTabLink";
        }
        else
        {
            hypDatabaseName.CssClass = "tabLink";
        }

        hypDatabaseName.NavigateUrl = "~/Administration/DatabaseProperties.aspx?database=" + HttpUtility.UrlEncode(databaseName);
        hypDatabaseName.Text = HttpUtility.HtmlEncode(databaseName);

    }
}
