using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class HelpLogoutToolbar : System.Web.UI.UserControl
{
    private string _helpTopicValue = string.Empty;

    public string HelpTopic
    {
        get
        {
            return _helpTopicValue;
        }
        set
        {
            _helpTopicValue = value;
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            hypHelp.NavigateUrl = "~/Help/" + _helpTopicValue + ".aspx";
            hypLogout.NavigateUrl = "~/Logout.aspx";
        }
    }
}
