using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ServerLocation : System.Web.UI.UserControl
{
    private bool _isActive = false;

    public bool IsActive
    {
        get
        {
            return _isActive;
        }
        set
        {
            _isActive = value;
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (_isActive)
        {
            hypServerName.CssClass = "activeTabLink";
        }
        else
        {
            hypServerName.CssClass = "tabLink";
        }

        hypServerName.NavigateUrl = "~/Administration/Databases.aspx";
        hypServerName.Text = HttpUtility.HtmlEncode(Profile.ServerName);
    }
}
