using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ServerToolbar : System.Web.UI.UserControl
{
    private string _selectedValue = string.Empty;

    public string SelectedValue
    {
        get
        {
            return _selectedValue;
        }
        set
        {
            _selectedValue = value;
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            hypDatabases.NavigateUrl = "~/Administration/Databases.aspx";
            hypImport.NavigateUrl = "~/Administration/Import.aspx";
            hypExport.NavigateUrl = "~/Administration/Export.aspx";

            switch (_selectedValue)
            {
                case "databases":
                    htcDatabases.Attributes["class"] = "selectedLink";
                    hypDatabases.Attributes.Remove("onMouseOver");
                    break;
                case "import":
                    htcImport.Attributes["class"] = "selectedLink";
                    hypImport.Attributes.Remove("onMouseOver");
                    break;
                case "export":
                    htcExport.Attributes["class"] = "selectedLink";
                    hypExport.Attributes.Remove("onMouseOver");
                    break;
            }


        }
    }
}
