﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/default.master" CodeFile="DeleteDatabase.aspx.cs" Inherits="DeleteDatabase" Title="<%$Resources:web.sitemap, DeleteDatabase.Title %>"%>
<%@ Register TagPrefix="Location" TagName="Database" Src="~/Toolbars/DatabaseLocation.ascx" %>
<%@ Register TagPrefix="Location" TagName="Server" Src="~/Toolbars/ServerLocation.ascx" %>
<%@ Register TagPrefix="Toolbar" TagName="HelpLogout" Src="~/Toolbars/HelpLogoutToolbar.ascx" %>
<asp:Content runat="server" ContentPlaceHolderID="breadcrumb">
    <Location:Server Runat="Server" id="ServerLocation"></Location:Server>
    <Location:Database Runat="Server" id="DatabaseLocation" IsActive="true"></Location:Database>
</asp:Content>
<asp:Content runat="server" ContentPlaceHolderID="NavigationPane">
</asp:Content>
<asp:Content runat="server" ContentPlaceHolderID="ContentPane">
<div class="RightCenterWell">
        <table width="100%">
            <tr>
                <td valign="top" width="1">
                    <asp:Image ID="icon_databases_32" SkinID="icon_databases_32" runat="Server" />
                </td>
                <td>
                    <span class="header3"><asp:Literal ID="Literal2" Text="<%$Resources:LocalizedText,DeleteDatabase_Label %>" runat="server" /></span>
                    <hr />
                    <p>
  				<asp:Literal ID="Literal1" Text="<%$Resources:LocalizedText,DeleteDatabase_Instruction %>" runat="server" /> <asp:Label id="txtDatabaseName" runat="server" Font-Bold="True"></asp:Label>?
					<br>
					<br>
					<asp:Button id="cmdYes" runat="server" OnClick="cmdYes_Click" CSSClass="button" onMouseOver="this.style.color='#cc0033';" onMouseOut="this.style.color='#000000';" Text="<%$Resources:LocalizedText,DeleteDatabase_Yes %>"></asp:Button>
					&nbsp;
					<asp:Button id="cmdNo" runat="server" OnClick="cmdNo_Click" CSSClass="button" onMouseOver="this.style.color='#cc0033';" onMouseOut="this.style.color='#000000';" Text="<%$Resources:LocalizedText,DeleteDatabase_No %>"></asp:Button>&nbsp;<asp:Label id="lblError" runat="server" Visible="False" ForeColor="red"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    
</asp:Content>

