<%@ Page Language="C#" MasterPageFile="~/Default.master" AutoEventWireup="true" CodeFile="EditColumn.aspx.cs" Inherits="EditColumn" Title="<%$Resources:web.sitemap, EditColumn.Title %>" %>
<%@ Register TagPrefix="Toolbar" TagName="HelpLogout" Src="~/Toolbars/HelpLogoutToolbar.ascx" %>
<%@ Register TagPrefix="Location" TagName="Server" Src="~/Toolbars/ServerLocation.ascx" %>
<%@ Register TagPrefix="Location" TagName="Database" Src="~/Toolbars/DatabaseLocation.ascx" %>
<%@ Register TagPrefix="Location" TagName="Table" Src="~/Toolbars/TableLocation.ascx" %>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="breadcrumb">
	<Location:Server Runat="Server" id="ServerLocation"></Location:Server>
	<Location:Database Runat="Server" id="DatabaseLocation"></Location:Database>
	<Location:Table Runat="Server" id="TableLocation" IsActive="true"></Location:Table>
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="NavigationPane">
</asp:Content>
<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="ContentPane">
    <div class="RightCenterWell">
        <table width="100%">
            <tr>
                <td valign="top" align="right">
                    <asp:Image ID="icon_tables_32" SkinID="icon_tables_32" runat="Server" />
                </td>
                <td>
                    <span class="header3"><asp:Label ID="lblTitle" Runat="server" cssclass="databaseListHeader" Text="<%$Resources:LocalizedText,EditColumn_Header %>">
                                            </asp:Label>&nbsp;&nbsp;</span>
                    <hr />
                    <p>
							<asp:Label id="lblError" runat="server" Visible="False" ForeColor="red"></asp:Label>
							<asp:Label id="lblDataLossWarning" runat="server" Visible="False" ForeColor="red">
                            <br />
                          <asp:Literal ID="Literal2" Text="<%$Resources:LocalizedText,EditColumn_Warning %>" runat="server" />
                            <br>
                            <br>
                            </asp:Label>
							<TABLE cellSpacing="2" cellPadding="0" border="0">
								<TR>
									<TD class="databaseListItem"><asp:Literal ID="Literal1" Text="<%$Resources:LocalizedText,EditColumn_PrimaryKey %>" runat="server" /></TD>
									<TD class="databaseListItem">&nbsp;</TD>
									<TD class="databaseListItem" style="width: 294px">
										<asp:CheckBox id="chkIsPrimaryKey" Runat="server"></asp:CheckBox></TD>
									<td class="databaseListItem"></td>
								</TR>
								<TR>
									<TD class="databaseListItem"><asp:Literal ID="Literal3" Text="<%$Resources:LocalizedText,EditColumn_ColumnName %>" runat="server" /></TD>
									<TD class="databaseListItem">&nbsp;</TD>
									<TD class="databaseListItem" style="width: 294px">
										<asp:TextBox id="txtColumnName" Runat="server" Columns="15"></asp:TextBox>
									</TD>
									<td class="databaseListItem">
										<asp:requiredfieldvalidator id="rfvColumnName" runat="server" ErrorMessage="A column name must be specified." ControlToValidate="txtColumnName" Display="Dynamic"></asp:requiredfieldvalidator>
									</td>
								</TR>
								<TR>
									<TD class="databaseListItem"><asp:Literal ID="Literal4" Text="<%$Resources:LocalizedText,EditColumn_DataType %>" runat="server" /></TD>
									<TD class="databaseListItem">&nbsp;</TD>
									<TD class="databaseListItem" style="width: 294px">
										<asp:DropDownList id="ddlDataType" Runat="server">
											<asp:ListItem Value="bigint" Text="<%$Resources:LocalizedText,EditColumn_DataTypeBigInt%>" />
											<asp:ListItem Value="binary" Text="<%$Resources:LocalizedText,EditColumn_DataTypeBinary%>"/>
											<asp:ListItem Value="bit" Text="<%$Resources:LocalizedText,EditColumn_DataTypeBit%>"/>
											<asp:ListItem Value="char" Text="<%$Resources:LocalizedText,EditColumn_DataTypeChar%>" Selected="True"/>
											<asp:ListItem Value="datetime" Text="<%$Resources:LocalizedText,EditColumn_DataTypeDateTime%>"/>
											<asp:ListItem Value="decimal" Text="<%$Resources:LocalizedText,EditColumn_DataTypeDecimal%>"/>
											<asp:ListItem Value="float" Text="<%$Resources:LocalizedText,EditColumn_DataTypeFloat%>"/>
											<asp:ListItem Value="image" Text="<%$Resources:LocalizedText,EditColumn_DataTypeImage%>"/>
											<asp:ListItem Value="int" Text="<%$Resources:LocalizedText,EditColumn_DataTypeInt%>"/>
											<asp:ListItem Value="money" Text="<%$Resources:LocalizedText,EditColumn_DataTypeMoney%>"/>
											<asp:ListItem Value="nchar" Text="<%$Resources:LocalizedText,EditColumn_DataTypeNChar%>"/>
											<asp:ListItem Value="ntext" Text="<%$Resources:LocalizedText,EditColumn_DataTypeNText%>"/>
											<asp:ListItem Value="numeric" Text="<%$Resources:LocalizedText,EditColumn_DataTypeNumeric%>"/>
											<asp:ListItem Value="nvarchar" Text="<%$Resources:LocalizedText,EditColumn_DataTypeNVarchar%>"/>
											<asp:ListItem Value="nvarchar(max)" Text="<%$Resources:LocalizedText,EditColumn_DataTypeNVarcharMax%>"/>
											<asp:ListItem Value="real" Text="<%$Resources:LocalizedText,EditColumn_DataTypeReal%>"/>
											<asp:ListItem Value="smalldatetime" Text="<%$Resources:LocalizedText,EditColumn_DataTypeSmallDateTime%>"/>
											<asp:ListItem Value="smallint" Text="<%$Resources:LocalizedText,EditColumn_DataTypeSmallInt%>"/>
											<asp:ListItem Value="smallmoney" Text="<%$Resources:LocalizedText,EditColumn_DataTypeSmallMoney%>"/>
											<asp:ListItem Value="sql_variant" Text="<%$Resources:LocalizedText,EditColumn_DataTypeSQLVariant%>"/>
											<asp:ListItem Value="text" Text="<%$Resources:LocalizedText,EditColumn_DataTypeText%>"/>
											<asp:ListItem Value="timestamp" Text="<%$Resources:LocalizedText,EditColumn_DataTypeTimestamp%>"/>
											<asp:ListItem Value="tinyint" Text="<%$Resources:LocalizedText,EditColumn_DataTypeTinyInt%>"/>
											<asp:ListItem Value="uniqueidentifier" Text="<%$Resources:LocalizedText,EditColumn_DataTypeUniqueIdentifier%>"/>
											<asp:ListItem Value="userdefineddatatype" Text="<%$Resources:LocalizedText,EditColumn_DataTypeUserDefinedDataType%>"/>
											<asp:ListItem Value="userdefinedtype" Text="<%$Resources:LocalizedText,EditColumn_DataTypeUserDefinedType%>"/>
											<asp:ListItem Value="varbinary" Text="<%$Resources:LocalizedText,EditColumn_DataTypeVarbinary%>"/>
											<asp:ListItem Value="varchar" Text="<%$Resources:LocalizedText,EditColumn_DataTypeVarchar%>"/>
											<asp:ListItem Value="varchar(max)" Text="<%$Resources:LocalizedText,EditColumn_DataTypeVarcharMax%>"/>
											<asp:ListItem Value="xml" Text="<%$Resources:LocalizedText,EditColumn_DataTypeXml%>"/>
										</asp:DropDownList>
									</TD>
									<td class="databaseListItem"></td>
								</TR>
								<TR>
									<TD class="databaseListItem"><asp:Literal ID="Literal5" Text="<%$Resources:LocalizedText,EditColumn_ColLength %>" runat="server" /></TD>
									<TD class="databaseListItem">&nbsp;</TD>
									<TD class="databaseListItem" style="width: 294px">
										<asp:TextBox id="txtLength" Runat="server" Text="10" Columns="15">10</asp:TextBox>
									</TD>
									<td class="databaseListItem">
										<asp:requiredfieldvalidator id="rfvLength" runat="server" ErrorMessage="<%$Resources:LocalizedText,EditColumn_ColLengthReqFld %>" ControlToValidate="txtLength" Display="Dynamic"></asp:requiredfieldvalidator>
										<asp:RangeValidator ID="rvLength" Runat="server" ErrorMessage="<%$Resources:LocalizedText,EditColumn_ColLengthRange %>" ControlToValidate="txtLength" Display="Dynamic" MaximumValue="8000" MinimumValue="0" Type="Integer"></asp:RangeValidator>
									</td>
								</TR>
                                <tr>
                                    <td class="databaseListItem" style="height: 34px">
                                        <asp:Literal ID="Literal6" Text="<%$Resources:LocalizedText,EditColumn_XmlUdtClrType %>" runat="server" /></td>
                                    <td class="databaseListItem" style="height: 34px">
                                    </td>
                                    <td class="databaseListItem" style="width: 294px; height: 34px">
                                        <asp:TextBox ID="txtTypeSchema" Runat="server" Columns="15"></asp:TextBox>.<asp:TextBox ID="txtTypeName" Runat="server" Columns="15"></asp:TextBox></td>
                                    <td class="databaseListItem" style="height: 34px">
                                          <asp:Literal ID="Literal7" Text="<%$Resources:LocalizedText,EditColumn_ColSyntax %>" runat="server" /></td>
                                </tr>
								<TR>
									<TD class="databaseListItem"> <asp:Literal ID="Literal8" Text="<%$Resources:LocalizedText,EditColumn_ColAllowNull %>" runat="server" /></TD>
									<TD class="databaseListItem">&nbsp;</TD>
									<TD class="databaseListItem" style="width: 294px">
										<asp:CheckBox id="chkIsNullable" Runat="server"></asp:CheckBox>
									</TD>
									<td class="databaseListItem"></td>
								</TR>
								<TR>
									<TD colSpan="3" height="2"><hr></TD>
									<td class="databaseListItem"></td>
								</TR>
								<TR>
									<TD class="databaseListItem"><asp:Literal ID="Literal9" Text="<%$Resources:LocalizedText,EditColumn_ColDefaultValue %>" runat="server" /></TD>
									<TD class="databaseListItem">&nbsp;</TD>
									<TD class="databaseListItem" style="width: 294px">
										<asp:TextBox id="txtDefaultValue" Runat="server" Columns="15"></asp:TextBox>
									</TD>
									<td class="databaseListItem"></td>
								</TR>
								<TR>
									<TD class="databaseListItem"><asp:Literal ID="Literal10" Text="<%$Resources:LocalizedText,EditColumn_ColPrecision %>" runat="server" /></TD>
									<TD class="databaseListItem">&nbsp;</TD>
									<TD class="databaseListItem" style="width: 294px">
										<asp:TextBox id="txtPrecision" Runat="server" Columns="15"></asp:TextBox>
									</TD>
									<td class="databaseListItem">
										<asp:RangeValidator ID="rvPrecision" Runat="server" ErrorMessage="<%$Resources:LocalizedText,EditColumn_ColPrecisionError %>" ControlToValidate="txtPrecision" Display="Dynamic" MaximumValue="32000" MinimumValue="0" Type="Integer"></asp:RangeValidator>
									</td>
								</TR>
								<TR>
									<TD class="databaseListItem"><asp:Literal ID="Literal11" Text="<%$Resources:LocalizedText,EditColumn_ColScale %>" runat="server" /></TD>
									<TD class="databaseListItem">&nbsp;</TD>
									<TD class="databaseListItem" style="width: 294px">
										<asp:TextBox id="txtScale" Runat="server" Columns="15"></asp:TextBox>
									</TD>
									<td class="databaseListItem">
										<asp:RangeValidator ID="rvScale" Runat="server" ErrorMessage="<%$Resources:LocalizedText,EditColumn_ColScaleError %>" ControlToValidate="txtScale" Display="Dynamic" MaximumValue="32000" MinimumValue="0" Type="Integer"></asp:RangeValidator>
									</td>
								</TR>
								<TR>
									<TD class="databaseListItem"><asp:Literal ID="Literal12" Text="<%$Resources:LocalizedText,EditColumn_ColIdentity %>" runat="server" /></TD>
									<TD class="databaseListItem">&nbsp;</TD>
									<TD class="databaseListItem" style="width: 294px">
										<asp:CheckBox id="chkIsIdentity" runat="server"></asp:CheckBox>
									</TD>
									<td class="databaseListItem"></td>
								</TR>
								<TR>
									<TD class="databaseListItem"> <asp:Literal ID="Literal13" Text="<%$Resources:LocalizedText,EditColumn_ColIdentitySeed %>" runat="server" /></TD>
									<TD class="databaseListItem">&nbsp;</TD>
									<TD class="databaseListItem" style="width: 294px">
										<asp:TextBox id="txtIdentitySeed" Runat="server" Columns="15"></asp:TextBox>
									</TD>
									<td class="databaseListItem"><asp:RangeValidator id="rvIndentitySeed" Runat="server" Display="Dynamic" ControlToValidate="txtIdentitySeed" ErrorMessage="<%$Resources:LocalizedText,EditColumn_ColIdentitySeedError %>" Type="Integer" MinimumValue="0" MaximumValue="32000"></asp:RangeValidator></td>
								</TR>
								<TR>
									<TD class="databaseListItem"><asp:Literal ID="Literal14" Text="<%$Resources:LocalizedText,EditColumn_ColIdentityIncrement %>" runat="server" /></TD>
									<TD class="databaseListItem">&nbsp;</TD>
									<TD class="databaseListItem" style="width: 294px">
										<asp:TextBox id="txtIdentityIncrement" Runat="server" Columns="15"></asp:TextBox>
									</TD>
									<td class="databaseListItem"><asp:RangeValidator id="rvIdentityIncrementRange" Runat="server" Display="Dynamic" ControlToValidate="txtIdentityIncrement" ErrorMessage="<%$Resources:LocalizedText,EditColumn_ColIdentityIncrementError %>" Type="Integer" MinimumValue="0" MaximumValue="32000"></asp:RangeValidator></td>
								</TR>
								<TR>
									<TD class="databaseListItem"><asp:Literal ID="Literal15" Text="<%$Resources:LocalizedText,EditColumn_ColIsRowGuid %>" runat="server" /></TD>
									<TD class="databaseListItem">&nbsp;</TD>
									<TD class="databaseListItem" style="width: 294px">
										<asp:CheckBox id="chkIsRowGuid" runat="server"></asp:CheckBox>
									</TD>
									<td class="databaseListItem"></td>
								</TR>
								<TR>
									<TD colSpan="3" style="height: 2px"></TD>
									<td class="databaseListItem" style="height: 2px"></td>
								</TR>
							</TABLE>
							<br>
							<asp:Button id="cmdUpdate" Runat="server" CSSClass="button" onMouseOver="this.style.color='#cc0033';" onMouseOut="this.style.color='#000000';" Text="<%$Resources:LocalizedText,EditColumn_CommandUpdate %>" OnClick="cmdUpdate_Click" ></asp:Button>
							&nbsp;
							<asp:Button id="cmdCancel" Runat="server" CSSClass="button" onMouseOver="this.style.color='#cc0033';" onMouseOut="this.style.color='#000000';" Text="<%$Resources:LocalizedText,EditColumn_CommandCancel %>" OnClick="cmdCancel_Click" CausesValidation="false"></asp:Button>

                </td>
            </tr>
        </table>
    </div>
    					

</asp:Content>
