﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Default.master" CodeFile="Export.aspx.cs" Inherits="Export" Title="<%$Resources:web.sitemap, Export.Title %>"%>
<%@ Register TagPrefix="Location" TagName="Server" Src="~/Toolbars/ServerLocation.ascx" %>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="breadcrumb">
	<Location:Server Runat="Server" id="ServerLocation" IsActive="true"></Location:Server>
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="NavigationPane">
</asp:Content>
<asp:Content ContentPlaceHolderID="ContentPane" runat="Server">
<div class="RightCenterWell">
        <table width="100%">
            <tr>
                <td valign="top">
                    <asp:Image ID="icon_databases_32" SkinID="icon_databases_32" runat="Server" />
                </td>
                <td>
                    <span class="header3"><asp:Literal ID="Literal3" Text="<%$Resources:LocalizedText,Export_Header %>" runat="server" /></span>
                    <hr />
                    <p>
                    <asp:Literal ID="Literal1" Text="<%$Resources:LocalizedText,Export_Instruction %>" runat="server" /></p>
                    <br />
                    <br />
                    <hr />
                    <asp:Literal ID="Literal2" Text="<%$Resources:LocalizedText,Export_SelectDatabase %>" runat="server" />
                    <br>
				    <br>
				    <asp:DropDownList Runat="server" ID="ddlDatabases"></asp:DropDownList>
				    <br>
				    <br>
				    <asp:Literal ID="Literal4" Text="<%$Resources:LocalizedText,Export_Objects %>" runat="server" />
                     <br>
				    <br>
				    &nbsp;&nbsp;&nbsp;<asp:CheckBox Runat="server" ID="chkScriptDatabase" Text="<%$Resources:LocalizedText,Export_ObjectDatabase %>" Checked="True"></asp:CheckBox><br>
				    &nbsp;&nbsp;&nbsp;<asp:CheckBox Runat="server" ID="chkScriptTableSchema" Text="<%$Resources:LocalizedText,Export_ObjectTableSchemas %>" Checked="True"></asp:CheckBox><br>
				    &nbsp;&nbsp;&nbsp;<asp:CheckBox Runat="server" ID="chkScriptStoredProcedures" Text="<%$Resources:LocalizedText,Export_ObjectStoredProcedures %>" Checked="True"></asp:CheckBox><br>
				    <br>
				   <asp:Literal ID="Literal5" Text="<%$Resources:LocalizedText,Export_Options %>" runat="server" />
                    
				    <br>
				    <br>
				    &nbsp;&nbsp;&nbsp;<asp:CheckBox Runat="server" ID="chkScriptDrop" Text="<%$Resources:LocalizedText,Export_OptDropCommands %>" Checked="True"></asp:CheckBox><br>
				    &nbsp;&nbsp;&nbsp;<asp:CheckBox Runat="server" ID="chkScriptComments" Text="<%$Resources:LocalizedText,Export_OptScriptComments %>" Checked="True"></asp:CheckBox><br>
				    <br>
				    <asp:Button Runat="server" ID="cmdExport" OnClick="cmdExport_Click" CSSClass="button" onMouseOver="this.style.color='#cc0033';" onMouseOut="this.style.color='#000000';" Text="<%$Resources:LocalizedText,Export_CommandExport %>"></asp:Button>&nbsp;&nbsp;
				    <asp:Label id="lblError" runat="server" ForeColor="red" Visible="False"></asp:Label>
				    <br>
				    <br>
				    <asp:Literal ID="Literal6" Text="<%$Resources:LocalizedText,Export_Warning %>" runat="server" />
                </td>
            </tr>
        </table>
    </div>				                    

</asp:Content>