﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/default.master" CodeFile="RenameTable.aspx.cs" Inherits="RenameTable" Title="<%$Resources:web.sitemap, RenameTable.Title %>"%>
<%@ Register TagPrefix="Toolbar" TagName="HelpLogout" Src="~/Toolbars/HelpLogoutToolbar.ascx" %>
<%@ Register TagPrefix="Location" TagName="Server" Src="~/Toolbars/ServerLocation.ascx" %>
<%@ Register TagPrefix="Location" TagName="Database" Src="~/Toolbars/DatabaseLocation.ascx" %>
<%@ Register TagPrefix="Location" TagName="Table" Src="~/Toolbars/TableLocation.ascx" %>
<asp:Content runat="server" ContentPlaceHolderID="breadcrumb">
	<Location:Server Runat="Server" id="ServerLocation"></Location:Server>
	<Location:Database Runat="Server" id="DatabaseLocation"></Location:Database>
	<Location:Table Runat="Server" id="TableLocation" IsActive="true"></Location:Table>
</asp:Content>
<asp:Content runat="server" ContentPlaceHolderID="NavigationPane">
</asp:Content>
<asp:Content runat="server" ContentPlaceHolderID="ContentPane">
    <div class="RightCenterWell">
        <table width="100%">
            <tr>
                <td valign="top" align="right" width="1">
                    <asp:Image ID="icon_tables_32" SkinID="icon_tables_32" runat="Server" />
                </td>
                <td>
                    <span class="header3"><asp:Literal ID="Literal1" Text="<%$Resources:LocalizedText,RenameTable_Header %>" runat="server" /></span>
                    <hr />
                    <p>
                    <asp:Literal ID="Literal2" Text="<%$Resources:LocalizedText,RenameTable_Instructions %>" runat="server" /><br />
                    <asp:TextBox Runat="server" ID="txtTableName"></asp:TextBox>
					<asp:Button Runat="server" ID="cmdRename" OnClick="cmdRename_Click" CSSClass="button" onMouseOver="this.style.color='#cc0033';" onMouseOut="this.style.color='#000000';" Text="<%$Resources:LocalizedText,RenameTable_RenameButton %>"></asp:Button>
					<asp:Button Runat="server" ID="cmdCancel" OnClick="cmdCancel_Click" CSSClass="button" onMouseOver="this.style.color='#cc0033';" onMouseOut="this.style.color='#000000';" Text="<%$Resources:LocalizedText,RenameTable_CancelButton %>" CausesValidation="false"></asp:Button>
					<br>
					<br>
					<asp:RequiredFieldValidator Runat="server" ID="rfvTableName" ControlToValidate="txtTableName" Display="Dynamic" ErrorMessage="<%$Resources:LocalizedText,RenameTable_ErrorMessage %>"></asp:RequiredFieldValidator>
					<asp:Label id="lblError" runat="server" Visible="False" ForeColor="red"></asp:Label>
						                    
                    </p>

                </td>
            </tr>
        </table>
    </div>
    
</asp:Content>

