<%@ Page Language="C#" MasterPageFile="~/Default.master" AutoEventWireup="true" CodeFile="TableProperties.aspx.cs" Inherits="TableProperties" Title="<%$Resources:web.sitemap, TableProperties.Title %>"%>
<%@ Register TagPrefix="Location" TagName="Server" Src="~/Toolbars/ServerLocation.ascx" %>
<%@ Register TagPrefix="Location" TagName="Database" Src="~/Toolbars/DatabaseLocation.ascx" %>
<%@ Register TagPrefix="Location" TagName="Table" Src="~/Toolbars/TableLocation.ascx" %>
<asp:Content ID="Content1" ContentPlaceHolderID="defaultScript" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="Breadcrumb" Runat="Server">
    <Location:Server Runat="Server" id="ServerLocation"></Location:Server>
    <Location:Database Runat="Server" id="DatabaseLocation"></Location:Database>
    <Location:Table Runat="Server" id="TableLocation" IsActive="true"></Location:Table>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="NavigationPane" Runat="Server">
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ContentPane" Runat="Server">

    <div class="RightCenterWell">
        <table width="100%">
            <tr>
                <td valign="top" width="1%">
                    <asp:Image ID="icon_databases_32" SkinID="icon_databases_32" runat="Server" />
                </td>
                <td>
                    <span class="header3"><asp:label id="lblNameProperty" Runat="server"></asp:label>: <asp:Literal runat=Server text="<%$Resources:LocalizedText,TableProperties_Header %>" /></span><br />
                    <hr />
                    <table class="PropertyTable" cellpadding="15">
                        <tr>
                            <td>
                               <asp:Literal runat=Server text="<%$Resources:LocalizedText,TableProperties_CreateDate %>" />
                            </td>
                            <td>
                                <asp:Label ID="lCreateDate" runat="Server"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                   <asp:Literal runat=Server text="<%$Resources:LocalizedText,TableProperties_DataSpaceUsed %>" />
                            </td>
                            <td>
                                <asp:Label ID="lDataSpaceUsed" runat="Server"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Literal runat=Server text="<%$Resources:LocalizedText,TableProperties_DateLastModified %>" />
                            </td>
                            <td>
                                <asp:Label ID="lDateLastModified" runat="Server"></asp:Label>
                            </td>
                        </tr>
                    </table>
                    <asp:Label id="lblError" runat="server" ForeColor="red" Visible="False"></asp:Label>
                </td>
            </tr>
        </table>
    </div>

</asp:Content>

