<%@ Control Language="C#" AutoEventWireup="true" CodeFile="TasksBox.ascx.cs" Inherits="TasksBox" %>
<script type="text/javascript">

var isCollapsed = readCookie('<%= Request.Path %>_collapse');

function createCookie(name,value,days)
{
	if (days)
	{
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
}

function readCookie(name)
{
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++)
	{
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}

function eraseCookie(name)
{
	createCookie(name,"",-1);
}

function SetState(imageId, elementId, collapsed)
{
    var imageObj = document.getElementById(imageId);
    var contentDiv = document.getElementById(elementId);

    if (!collapsed)
    {
        contentDiv.style.display = 'block';
        
        imageObj.src = '<%= ResolveUrl(collapseButtonImageUrl) %>';
    }
    else
    {
        contentDiv.style.display = 'none';
        imageObj.src = '<%= ResolveUrl(expandButtonImageUrl) %>';
    }

}

function FlipState(imageId, elementId, cookieName)
{

    isCollapsed = !isCollapsed;
    
    SetState(imageId, elementId, isCollapsed);

    createCookie(cookieName, isCollapsed);
    
}





</script>

<div class="collapsingboxcontainer">
    <div class="boxheader">
        <div class="btncontainer">
            <img name="boxchevron" src="~/App_Themes/default/images/icons/16/chevron_drk_up_16.gif" runat="server" onclick="javascript: FlipState('boxchevron', 'boxcontent', '<%= Request.PhysicalPath %>_collapse');" />
        </div>
        <asp:Literal ID="TitleLiteral" runat="server" />
    </div>
    <div id="boxcontent" class="boxcontent">
        
        <asp:Panel ID="CurrentNodePanel" runat=server>
          <asp:Label ID="CurrentNodeLabel" CssClass="NodeLabel" visible=true runat="Server" />
        <div class="currentnodes">
            <asp:PlaceHolder ID="BoxContent" runat="server" />
        </div>
        </asp:Panel>
        <asp:Panel ID="BaseNodePanel" runat=server>
     
        <asp:Label ID="BaseNodeLabel" CssClass="NodeLabel" visible=true runat="Server" />
        <div class="basenodes">
            <asp:PlaceHolder ID="BaseNodes" runat="Server" />
        </div>
        </asp:Panel>
        
       
    </div>
</div>