using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using SqlWebAdmin.CSharp;

public partial class login : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		bool publicAccountCreation = bool.Parse(ConfigurationManager.AppSettings["EnablePublicAccountCreation"]);
		bool directSqlLogin = bool.Parse(ConfigurationManager.AppSettings["EnableDirectSQLLogin"]);

		if (publicAccountCreation)
		{
			CreateAccountLink.NavigateUrl = "~/createAccount.aspx";
			CreateAccountLink.Text = "Create a user account";
		}
		else
			CreateAccountLink.Visible = false;

		if (directSqlLogin)
		{
			CredentialsLoginLink.NavigateUrl = "~/sqlCredentialsLogin.aspx";
			CredentialsLoginLink.Text = "Login Directly to SQL Server";
		}
		else
			CredentialsLoginLink.Visible = false;
    }

	protected void VerifyUserSetup(object sender, EventArgs e)
	{

	}
}
